%define snapshot_date	20040131
%define relsuffix	b

Name:		jabber-aim-t
Version:	0.9.25
Release:	alt0.3.%snapshot_date%relsuffix

Summary:	AIM transport for Jabber server
Summary(ru_RU.CP1251): AIM    Jabber
Group:		System/Servers
URL:		http://aim-transport.jabberstudio.org/
Copyright:	GPL

PreReq: 	jabber >= 1.4.3-alt7
Obsoletes:	jabber-aim

Source: aim-transport-stable-%snapshot_date%relsuffix.tar.bz2
Source1: aim-configs.tar.bz2
Patch0: aim-default-charset.patch
Patch1: aim-transport-cflags.patch

# Automatically added by buildreq on Sat Dec 25 2004
BuildRequires: common-licenses jabber-devel libexpat-devel libpth-devel
# Manually removed: gcc-c++ libstdc++-devel

%description
Jabber-transport which provides interoperability between
AIM and Jabber instant messaging systems.

%prep
%setup -q -n aim-transport-stable-%snapshot_date -a 1
%patch0 -p0 -b .patch-charset
%patch1 -p0 -b .patch-cflags

# Needed after Patch1
%__aclocal
%__automake -a --foreign
%__autoconf

rm -f COPYING
ln -sf %_licensedir/GPL-2 COPYING

%build
%configure --with-jabberd=%_includedir/jabber
%make_build

%install
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/jabber/include
%__install -d -m 755 $RPM_BUILD_ROOT%_libdir/jabber/aim-transport
%__install -m 755 src/aimtrans.so $RPM_BUILD_ROOT%_libdir/jabber/aim-transport
%__install -m 640 aim-configs/* $RPM_BUILD_ROOT%_sysconfdir/jabber/include

%post
%_sbindir/jabber-conftool \
    --add-service %_sysconfdir/jabber/include/aim.service.xml \
    %_sysconfdir/jabber/jabber.xml
%_sbindir/jabber-conftool \
    --add-browse %_sysconfdir/jabber/include/aim.browse.xml \
    %_sysconfdir/jabber/jabber.xml
%post_service jabber

%preun
if [ $1 = 0 ]; then
    %_sbindir/jabber-conftool \
	--remove-service %_sysconfdir/jabber/include/aim.service.xml \
	%_sysconfdir/jabber/jabber.xml
    %_sbindir/jabber-conftool \
	--remove-browse %_sysconfdir/jabber/include/aim.browse.xml \
	%_sysconfdir/jabber/jabber.xml
fi
%preun_service jabber

%files
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog README TODO
%doc aim.xml
%_libdir/jabber/aim-transport
%attr(640,root,jabber) %config(noreplace) %_sysconfdir/jabber/include/aim.*

%changelog
* Sat Dec 25 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.25-alt0.3.20040131b
- Updated to the 20040131b release
- Fixed autotools invocation
- Added libexpat-devel to BuildRequires

* Thu Oct 14 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.25-alt0.2.20040131
- Use jabber-conftool in scripts

* Thu Feb 12 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.25-alt0.1.20040131
- Updated to the last stable snapshot
- Rebuild with new libpth

* Sat Jun 07 2003 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.25-alt0.1.20030314
- New stable snapshot
- Symlink the license from the licensedir
- Default charset patch, kudos to avl [Patch0]
- Updated the default config
- Added the sample aim.xml, provided in the tarball, to the documentation
- Proper CFLAGS substitution via automake [Patch1]

* Thu Sep 05 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.9.25-alt0.1.20020711
- Separate package for the Jabber AIM transport
